import { Pipe, PipeTransform } from '@angular/core';
import { UtilityService } from '@services/utility.service';

@Pipe({
  name: 'clickableLink',
  standalone: true
})
export class ClickableLinkPipe implements PipeTransform {

  constructor(
    private utilityService: UtilityService
  ) { }

  transform(value) {
    return value && this.utilityService.convertLinksToClickableLinks(value);
  }

}
